<?php

namespace FiloBlu\MultiDomain\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    protected $_storeManager;

    public function __construct(
    \Magento\Framework\App\Helper\Context $context, \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {

        $this->_storeManager = $storeManager;

        parent::__construct($context);
    }

    public function getConfig($config_path, $section = 'filoblu_multidomain_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function getCurrentGroup() {
        $groupsMapping = unserialize($this->getConfig('general/groups_mapping'));

        if ($groupsMapping && count($groupsMapping)) {

            $currentWebsiteCode = $this->_storeManager->getWebsite()->getCode();
            
            foreach ($groupsMapping as $field) {

                $websiteCodes = explode(",", $field["websitecode"]);
                foreach ($websiteCodes as $code) {
                    if ($currentWebsiteCode == trim($code)) {
                        return $field["groupname"];
                    }
                }
            }
        }

        return false;
    }

}
